All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
YUVToBGRBatch
Color Model Conversion

YUV to BGR batch color conversion with a single Region-of-Interest (ROI) for all pairs of input/output images provided in batches. More...

## Functions

NppStatus | nppiYUVToBGRBatch_8u_C3R_Ctx (const NppiImageDescriptor *pSrcBatchList, NppiImageDescriptor *pDstBatchList, int nBatchSize, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned packed YUV to 3 channel 8-bit unsigned packed BGR batch color conversion for a single ROI. More...
NppStatus | nppiYUVToBGRBatch_8u_C3R (const NppiImageDescriptor *pSrcBatchList, NppiImageDescriptor *pDstBatchList, int nBatchSize, NppiSize oSizeROI)
NppStatus | nppiYUVToBGRBatch_8u_P3C3R_Ctx (const NppiImageDescriptor *const pSrcBatchList[3], NppiImageDescriptor *pDstBatchList, int nBatchSize, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned planar YUV to 3 channel 8-bit unsigned packed BGR batch color conversion for a single ROI. More...
NppStatus | nppiYUVToBGRBatch_8u_P3C3R (const NppiImageDescriptor *const pSrcBatchList[3], NppiImageDescriptor *pDstBatchList, int nBatchSize, NppiSize oSizeROI)

## Detailed Description

YUV to BGR batch color conversion with a single Region-of-Interest (ROI) for all pairs of input/output images provided in batches.

NPP converts YUV to gamma corrected BGR the same way as in YUVToBGR.

## Function Documentation

NppStatus nppiYUVToBGRBatch_8u_C3R | ( | const NppiImageDescriptor * | pSrcBatchList,
|  | NppiImageDescriptor * | pDstBatchList,
|  | int | nBatchSize,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYUVToBGRBatch_8u_C3R_Ctx | ( | const NppiImageDescriptor * | pSrcBatchList,
|  | NppiImageDescriptor * | pDstBatchList,
|  | int | nBatchSize,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned packed YUV to 3 channel 8-bit unsigned packed BGR batch color conversion for a single ROI.

Provided oSizeROI will be used for all pairs of input and output images passed in pSrcBatchList and pSrcBatchList arguments. API user must ensure that provided ROI (oSizeROI) does not go beyond the borders of any of provided images.

Parameters

  pSrcBatchList | Source-Batch-Images Pointer.
  pDstBatchList | Destination-Batch-Images Pointer.
  nBatchSize | Number of NppiImageDescriptor structures processed in this call (must be > 1).
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiYUVToBGRBatch_8u_P3C3R | ( | const NppiImageDescriptor *const | pSrcBatchList[3],
|  | NppiImageDescriptor * | pDstBatchList,
|  | int | nBatchSize,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiYUVToBGRBatch_8u_P3C3R_Ctx | ( | const NppiImageDescriptor *const | pSrcBatchList[3],
|  | NppiImageDescriptor * | pDstBatchList,
|  | int | nBatchSize,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned planar YUV to 3 channel 8-bit unsigned packed BGR batch color conversion for a single ROI.

Provided oSizeROI will be used for all pairs of input planes making input images and output packed images passed in pSrcBatchList and pSrcBatchList arguments. API user must ensure that provided ROI (oSizeROI) does not go beyond the borders of any of provided images.

Parameters

  pSrcBatchList | An array where each element is a batch of images representing one of planes in planar images, Source-Batch-Images Pointer. The first element of array (pSrcBatchList[0]) represents a batch of Y planes. The second element of array (pSrcBatchList[1]) represents a batch of U planes. The third element of array (pSrcBatchList[2]) represents a batch of V planes.
  pDstBatchList | Destination-Batch-Images Pointer.
  nBatchSize | A number of NppiImageDescriptor structures processed in this call (must be > 1).
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2020 NVIDIA Corporation